Fan Zhen Coder & Teacher

更新Mac系统的Subversion

2014-03-19

如果你遇到这个错误:

svn: This client is too old to work with working copy '.';
please get a newer Subversion client

就需要更新 Subversion:

  1. 在终端中,输入svn --version确定当前版本
  2. 这里下载最新的版本,安装,会安装到/opt/subversion/bin
  3. 确认你的$Path, echo $Path。如果没有/opt/subversion/bin,编辑.profile添加export PATH=/opt/subversion/bin:$PATH,如果已经有了旧版本,请到/usr/bin删除所有svn开头的文件。
  4. . ./.profile*
  5. svn --version确定当前版本

Similar Posts

Comments